/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#ifndef TEXT_KEYS_AND_LANGUAGES_HPP
#define TEXT_KEYS_AND_LANGUAGES_HPP


typedef enum {
    GBR,
    NUMBER_OF_LANGUAGES
} LANGUAGES;


typedef enum {
    T_DEMO_VIEW_MCU_LOAD_TEXT,
    T_DEMO_VIEW_MCU_LOAD_VALUE,
    T_DEMO_VIEW_MCU_LOAD_VALUE_CENTER,
    T_DEMO_VIEW_MCU_LOAD_VALUE_CHARS,
    T_DEMO_VIEW_MCU_LOAD_TEXT_TINY,
    T_DEMO_VIEW_MCU_LOAD_VALUE_TINY,
    T_DEMO_VIEW_MCU_LOAD_VALUE_CHARS_TINY,
    T_2048_SCORE,
    T_2048_SCORE_DELTA,
    T_2048_SCORE_CHARS,
    T_CAROUSEL_AUDIO_PLAYER_HEADLINE,
    T_CAROUSEL_AUDIO_PLAYER_TEXT,
    T_CAROUSEL_GAME_2048_HEADLINE,
    T_CAROUSEL_GAME_2048_TEXT,
    T_CAROUSEL_GAME_2D_HEADLINE,
    T_CAROUSEL_GAME_2D_TEXT,
    T_CAROUSEL_CONTROLS_HEADLINE,
    T_CAROUSEL_CONTROLS_TEXT,
    T_CAROUSEL_HOME_AUTOMATION_HEADLINE,
    T_CAROUSEL_HOME_AUTOMATION_TEXT,
    T_CAROUSEL_SETTINGS_HEADLINE,
    T_CAROUSEL_SETTINGS_TEXT,
    T_CAROUSEL_VIDEO_PLAYER_HEADLINE,
    T_CAROUSEL_VIDEO_PLAYER_TEXT,
    T_ANIMATING_BUTTON_AUDIO_PLAYER_HEADLINE,
    T_ANIMATING_BUTTON_GAME_2048_HEADLINE,
    T_ANIMATING_BUTTON_GAME_2D_HEADLINE,
    T_ANIMATING_BUTTON_CONTROLS_HEADLINE,
    T_ANIMATING_BUTTON_HOME_AUTOMATION_HEADLINE,
    T_ANIMATING_BUTTON_SETTINGS_HEADLINE,
    T_ANIMATING_BUTTON_VIDEO_PLAYER_HEADLINE,
    T_GAME_2D_SCORE_TEXT,
    T_GAME_2D_SCORE_VALUE,
    T_GAME_2D_SCORE_CHARS,
    T_GAME_2D_CHROM_ART_HEADER,
    T_GAME_2D_CHROM_ART_DESCRIPTION,
    T_CONTROLS_HEADLINE0,
    T_CONTROLS_HEADLINE1,
    T_CONTROLS_POT_READOUT,
    T_CONTROLS_POT_READOUT_CHARS,
    T_CONTROLS_POT_PERCENTAGE,
    T_CONTROLS_BRIGHTNESS_READOUT,
    T_CONTROLS_BRIGHTNESS_READOUT_CHARS,
    T_CONTROLS_BRIGHTNESS_PERCENTAGE,
    T_SETTINGS_HEADLINE0,
    T_SETTINGS_HEADLINE1,
    T_SETTINGS_HEADLINE2,
    T_SETTINGS_HEADLINE3,
    T_SETTINGS_CLOCK_DIGIT,
    T_SETTINGS_CLOCK_DIGIT_CHARS,
    T_SETTINGS_MAIN_DATE_YEAR,
    T_SETTINGS_MAIN_DATE_YEAR_CHARS,
    T_SETTINGS_MAIN_DATE_MONTH,
    T_SETTINGS_MAIN_DATE_MONTH_CHARS,
    T_SETTINGS_MAIN_DATE_DAY,
    T_SETTINGS_MAIN_DATE_DAY_CHARS,
    T_SETTINGS_DATE_PICKER_TEXT,
    T_SETTINGS_DATE_PICKER_TEXT_CHARS,
    T_SETTINGS_DATE_PICKER_TEXT_SELECTED,
    T_SETTINGS_DATE_PICKER_TEXT_SELECTED_CHARS,
    T_MOVIE_LOAD_HEADLINE,
    T_MOVIE_HW_HEADLINE,
    T_MOVIE_HW_HEADLINE_CHARS,
    T_MOVIE_BROWSE_FOLDER,
    T_MOVIE_BROWSE_NAME,
    T_MOVIE_PROGRESS_TIME,
    T_TOPBAR_TITLE,
    T_MEDIA_TIME_NUMBERS,
    T_TOPBAR_CHARACTERS,
    T_AUDIO_CURRENT_TIME,
    T_AUDIO_TOTAL_TIME,
    T_AUDIO_TIME_SEPARATOR,
    T_AUDIO_PLAYLIST_HEADLINE,
    T_EQUALIZER_HEADLINE,
    T_EQUALIZER_BAND_READOUT,
    T_EQUALIZER_BAND_READOUT_CHARACTERS,
    T_EQUALIZER_LOUDNESS_READOUT,
    T_EQUALIZER_LOUDNESS_READOUT_CHARACTERS,
    T_AUDIO_PLAYLIST_LARGE,
    T_AUDIO_PLAYLIST_LARGE_CHARACTERS,
    T_AUDIO_PLAYLIST_SMALL,
    T_AUDIO_PLAYLIST_SMALL_CHARACTERS,
    T_HOME_HEADLINE_00,
    T_HOME_HEADLINE_01,
    T_HOME_HEADLINE_02,
    T_HOME_HEADLINE_03,
    T_HOME_HEADLINE_04,
    T_LOGIN_HEADLINE,
    T_LOGIN_SOLUTION_INCORRECT,
    T_LOGIN_PATTERN_TOO_SHORT,
    T_LOGIN_HINT,
    T_LOGIN_SOLUTION_CORRECT,
    T_PERCENT,
    T_PERCENT_SIGN,
    T_PERCENT_NUMBERS,
    T_BLINDS_PERCENT,
    T_BLINDS_PERCENT_SIGN,
    NUMBER_OF_TEXT_KEYS
} TEXTS;

#endif /* TEXT_KEYS_AND_LANGUAGES_HPP */
